%global gem_name mocha
Summary:             Mocking and stubbing library
Name:                rubygem-%{gem_name}
Version:             1.14.0
Release:             1
License:             MIT or Ruby or BSD
URL:                 https://github.com/freerange/mocha
Source0:             http://rubygems.org/gems/mocha-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(metaclass) rubygem(introspection)
BuildRequires:       rubygem(minitest)
BuildArch:           noarch
%description
Mocking and stubbing library with JMock/SchMock syntax, which allows mocking
and stubbing of methods on real (non-mock) classes.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}
pushd .%{gem_instdir}
popd

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
ruby -e "Dir.glob('./test/{unit,acceptance}/**/*_test.rb').each {|t| require t}"
ruby -e "Dir.glob('./test/integration/**/*_test.rb').each {|t| require t}"
popd

%files
%exclude %{gem_instdir}/.*
%exclude %{gem_instdir}/init.rb
%doc %{gem_instdir}/COPYING.md
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/MIT-LICENSE.md
%doc %{gem_instdir}/RELEASE.md
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%{gem_instdir}/Gemfile*
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Rakefile
%{gem_instdir}/mocha.gemspec
%{gem_instdir}/gemfiles/
%{gem_instdir}/yard-templates/

%changelog
* Fri Jul 01 2022 xu_ping <xuping33@h-partners.com> - 1.14.0-1
- Upgrade 1.14.0

* Wed Aug 5 2020 wangchong <wangchong56@huawei.com> - 1.1.0-1
- package init
